ostrace_activity_cb_t
ostrace_archive_write_cb_t
ostrace_client_free
ostrace_client_new
ostrace_client_start_service
ostrace_client_t
ostrace_create_archive
ostrace_error_t
ostrace_get_pid_list
OSTRACE_SERVICE_NAME
ostrace_start_activity
ostrace_stop_activity

## ostrace_client_start_service()

LIBIMOBILEDEVICE_API ostrace_error_t ostrace_client_start_service | ( | idevice_t | device,
|  | ostrace_client_t * | client,
|  | const char * | label )

Starts a new os_trace_relay service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated ostrace_client_t upon successful return. Must be freed using ostrace_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  OSTRACE_E_SUCCESS on success, or an OSTRACE_E_* error code otherwise.